<template>
  <div class="asteroid" :style="asteroidStyle"></div>
</template>

<script>
export default {
  props: ['asteroid'],
  computed: {
    asteroidStyle() {
      return {
        left: this.asteroid.x + '%',
        top: this.asteroid.y + '%'
      };
    }
  }
};
</script>

<style scoped>
.asteroid {
  position: absolute;
  width: 50px;
  height: 50px;
  background-color: gray;
  border-radius: 50%;
}
</style>
